#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  XC\CrispWhiteSkin\LifetimeHook\Init:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-CrispWhiteSkin, type: init, method: onInit}
  XC\CrispWhiteSkin\LifetimeHook\Install:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-CrispWhiteSkin, type: install, method: onInstall}
  XC\CrispWhiteSkin\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-CrispWhiteSkin, type: upgrade, method: onUpgrade, version: 5.5.0.0}
  XC\CrispWhiteSkin\LifetimeHook\Upgrade\UpgradeTo551build13:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-CrispWhiteSkin, type: upgrade, method: onUpgrade, version: 5.5.1.13}

